/**
 * Project Name:tuia-youtui-web<br>
 * File Name:IndexReq.java<br>
 * Package Name:com.duiba.tuia.youtui.web.model.req<br>
 * Date:2017年2月9日下午2:48:47<br>
 * Copyright (c) 2017, duiba.com.cn All Rights Reserved.<br>
 */

package com.duiba.tuia.youtui.web.model.req;

import java.io.Serializable;

/**
 * ClassName: IndexReq <br/>
 * date: 2017年2月9日 下午2:48:47 <br/>
 *
 * @author youhaijun
 * @since JDK 1.6
 */
public class IndexReq implements Serializable {

    /**
     * @since JDK 1.6
     */
    private static final long serialVersionUID = 6936913576385486802L;

    private Long id;

    private Long slotId;

    private Long pageId;

    private String login;

    private String appKey;

    private String deviceId;

    private String dcm;

    private String dpm;

    private String dsm;

    private String host;

    private String position;

    private String referer;

    private String ip;

    private Long activityId;

    private String challengeId;

    private String nickName;

    private Long styleType;
    /** 引擎直投会有次字段，且为SOW*/
    private String tenter;

    private String towId;

    public String getHost() {
        return host;
    }

    public void setHost(String host) {
        this.host = host;
    }

    public String getAppKey() {
        return appKey;
    }

    public String getDcm() {
        return dcm;
    }

    public void setDcm(String dcm) {
        this.dcm = dcm;
    }

    public String getDpm() {
        return dpm;
    }

    public void setDpm(String dpm) {
        this.dpm = dpm;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public Long getSlotId() {
        return slotId;
    }

    public void setSlotId(Long slotId) {
        this.slotId = slotId;
    }


    public String getDeviceId() {
        return deviceId;
    }


    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public String getDsm() {
        return dsm;
    }

    public void setDsm(String dsm) {
        this.dsm = dsm;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getReferer() {
        return referer;
    }

    public void setReferer(String referer) {
        this.referer = referer;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public Long getPageId() {
        return pageId;
    }

    public void setPageId(Long pageId) {
        this.pageId = pageId;
    }

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public String getChallengeId() {
        return challengeId;
    }

    public void setChallengeId(String challengeId) {
        this.challengeId = challengeId;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public Long getStyleType() {
        return styleType;
    }

    public void setStyleType(Long styleType) {
        this.styleType = styleType;
    }

    public String getTenter() {
        return tenter;
    }

    public void setTenter(String tenter) {
        this.tenter = tenter;
    }

    public String getTowId() {
        return towId;
    }

    public void setTowId(String towId) {
        this.towId = towId;
    }
}
